local AddonName, a = ...
if a.BuildFail(50000) then return end
local L = a.Localize
local s = SpellFlashAddon
local x = s.UpdatedVariables

-- SpellFlash API:
-- http://wow.curseforge.com/addons/spellflash/pages/api/

-- Updated variable references:
-- http://wow.curseforge.com/addons/spellflash/pages/api/#w-local-x-spell-flash-addon-updated-variables
-- x.Enemy, x.ActiveEnemy, x.NoCC, x.InInstance, x.InstanceType, x.PetAlive, x.PetActiveEnemy, x.PetNoCC, x.Lag, x.DoubleLag, x.ThreatPercent, x.EnemyDetected, x.ShouldPermanentBuff, x.ShouldTemporaryBuff

-- Use this single spam function and remove the multiple spam table below, or just use the multiple spam table below and leave this function in place.
s.RegisterModuleSpamFunction(AddonName, function() a.RunSpamTable()
	a.Flash("Legacy of the Emperor") -- not working correctly atm
	a.Flash("Spear Hand Strike", "Paralysis", "Leg Sweep") -- interrupt casters
	if GetSpecialization() == 1 then
		-- Brewmaster
		a.FlashAll("Clash", "Roll") -- if we are not in range, use these
		a.Flash("Provoke") -- taunt if tanking and not keeping aggro
		a.Flash("Dizzying Haze",
				"Blackout Kick (Brewmaster)",
				"Zen Sphere (Brewmaster)",
				"Breath of Fire",
				"Keg Smash",
				"Spinning Crane Kick (Brewmaster)",
				"Expel Harm (Brewmaster)",
				"Jab (Brewmaster)",
				"Tiger Palm (Brewmaster)")
		a.Flash("Elusive Brew") -- flash Elusive Brew at 3 Stacks
		a.FlashAll("Guard", "Purify Moderate Stagger", "Purify Heavy Stagger", "Fortifying Brew") -- emergency CD
	elseif GetSpecialization() == 2 then
		-- Mistweaver
	elseif GetSpecialization() == 3 then
		-- Windwalker
		a.Flash("Rising Sun Kick (Debuff)",
		        "Tiger Palm (Buff)",
				"Expel Harm (close to cap)",
				"Jab (close to cap)",
				"Tigereye Brew",
				"Energizing Brew",
				"Rising Sun Kick",
				"Fists of Fury",
				"Combo Breaker: Tiger Palm",
				"Combo Breaker: Blackout Kick",
				"Zen Sphere (Windwalker)",
				"Blackout Kick (Windwalker)",
				"Expel Harm (no Chi)",
				"Jab (no Chi)",
				"Flying Serpent Kick")
	else
		print("no active Spec")
	end
end)
